FLANG

Public Member Functions | Public Attributes | List of all members
Fortran::lower::pft::ProgramUnit Struct Reference

`#include <flang/Lower/PFTBuilder.h>`

Inheritance diagram for Fortran::lower::pft::ProgramUnit:

## Public Member Functions
template<typename A >
| ProgramUnit (const A &p, const ParentVariant &parentVariant)
| ProgramUnit (ProgramUnit &&)=default
| ProgramUnit (const ProgramUnit &)=delete
Public Member Functions inherited from Fortran::lower::pft::ReferenceVariantBase< isConst, A >
template<typename B >
| ReferenceVariantBase (B &b)
template<typename B >
constexpr BaseType< B > & | get () const
template<typename B >
constexpr BaseType< B > * | getIf () const
template<typename B >
constexpr bool | isA () const
template<typename VISITOR >
constexpr auto | visit (VISITOR &&visitor) const

## Public Attributes
ParentVariant | parentVariant

## Additional Inherited Members
Public Types inherited from Fortran::lower::pft::ReferenceVariantBase< isConst, A >
template<typename B >
using | BaseType = std::conditional_t< isConst, const B, B >
template<typename B >
using | Ref = common::Reference< BaseType< B > >

## Detailed Description

A program is a list of program units. These units can be function like, module like, or block data.

The documentation for this struct was generated from the following file:

- include/flang/Lower/PFTBuilder.h